## auparse auparse — Parse an .au file into raw audio |

## Types and Values

struct | GstAuParse

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstAuParse

## Description

Parses .au files mostly originating from sun os based computers.

## Synopsis

### Element Information

plugin | auparse
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Codec/Demuxer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-au

name | src
direction | source
presence | sometimes
details | audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int){ 1234, 4321 }, width=(int){ 8, 16, 24, 32 }, depth=(int)[ 1, 32 ], signed=(boolean){ true, false }
| audio/x-raw-float, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int){ 1234, 4321 }, width=(int){ 32, 64 }
| audio/x-alaw, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ]
| audio/x-mulaw, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ]
| audio/x-adpcm, layout=(string){ g721, g722, g723_3, g723_5 }

## Functions

## Types and Values

### struct GstAuParse

    struct GstAuParse;